*This program does preliminary cleaning of the HDS Phase II data.*;
*July 22, 2002 by BB*;

libname hds2000 '/mnt/jayhawk/jayproj/hds2000p2' ;

/* ref files */
filename sales '/mnt/jayhawk/jayproj/hds2000p2/sales.ssd01' ;
filename rental '/mnt/jayhawk/jayproj/hds2000p2/rental.ssd01' ;


***SALES ;

 data hds2000.sales ;
  set hds2000.sales;


  	****Recommed correcting the value of 'ssndvis' variable for the following cases****;

  	if sitecode = "BA" then do;
	if control = "BA-S5-0601-2" and testerid = "BA602" then ssndvis = 0;
  	end;
  	else if sitecode = "MI" then do;
	if control = "MI-S6-3017-2" and testerid = "MI138" then ssndvis = 0;
  	end;
  	else if sitecode = "MY" then do;
	if control = "MY-S1-3602-2" and testerid = "MY180" then ssndvis = 0;
	if control = "MY-S1-3705-2" and testerid = "MY256" then ssndvis = 0;
  	end;

  	****Recommend deleting duplicate or incorrect entries****;

  	if sitecode = "CH" then do;
	if control = "CH-S3-3619-2" then delete;
  	end;
  	else if sitecode = "MB" then do;
	if control = "MB-S1-1503-2" and testerid = "MB112" then do;
	if sequence = "2" then delete;
	end;
  	end;
  	else if sitecode = "MI" then do;
	if control = "MI-S6-0902-2" and testerid = "MI794" then do;
	if sequence = "2" then delete;
	end;
  	end;
  	else if sitecode = "OK" then do;
	if control = "OK-S3-1102-2" and testerid = "OK479" then do;
	if sequence = "2" then delete;
	end;
	else if control = "OK-S3-2504-2" and testerid = "OK479" then do;
	if sequence = "2" then delete;
	end;
  	end;
  	else if sitecode = "PH" then do;
	if control = "PH-S1-3008-2" then delete;
  	end;
  	else if sitecode = "SF" then do;
	if control = "SF-S1-0909-2" and testerid = "SF498" then do;
	if sequence = "2" then delete;
	end;
  	end;
  	else if sitecode = "SJ" then do;
	if control = "SJ-S2-1711-2" and testerid = "SJ290" then do;
	if sequence = "2" then delete;
	end;
  	end;



**Recommed correcting the value of 'ssndvis' variable for the
following cases****;

if sitecode = "MI" then do;
	if control = "MI-S6-3017-2" and testerid = "MI138" then ssndvis = 0;
  	end;
  	else if sitecode = "MY" then do;
	if control = "MY-S1-3602-2" and testerid = "MY180" then ssndvis = 0;
	if control = "MY-S1-3705-2" and testerid = "MY256" then ssndvis = 0;
  	end;

  	****Recommend deleting duplicate or incorrect entries****;

if sitecode = "BA" then do;
	if control = "BA-S5-0601-2" and testerid = "BA602" then do;
		if sequence = "1" then delete;
	end;
	if control = "BA-S5-1208-2" and testerid = "BA317" then do;
		if sequence = "1" then delete;
	end;
	if control = "BA-S5-1607-2" and testerid = "BA666" then do;
		if sequence = "1" then delete;
	end;
	if control = "BA-S5-2303-2" and testerid = "BA412" then do;
		if sequence = "1" then delete;
	end;
end;
else if sitecode = "CH" then do;
	if control = "CH-S3-3619-2" then delete;
end;
else if sitecode = "MB" then do;
	if control = "MB-S1-1503-2" and testerid = "MB112" then do;
		if sequence = "2" then delete;
	end;
end;
else if sitecode = "MI" then do;
	if control = "MI-S6-0902-2" and testerid = "MI794" then do;
		if sequence = "2" then delete;
	end;
	if control = "MI-S6-1004-2" and testerid = "MI794" then do;
		if sequence = "2" then delete;
	end;
	if control = "MI-S6-1308-2" and testerid = "MI579" then do;
		if sequence = "1" then delete;
	end;
	if control = "MI-S6-1904-2" and testerid = "MI670" then do;
		if sequence = "1" then delete;
	end;
	if control = "MI-S6-2001-2" and testerid = "MI677" then do;
		if sequence = "1" then delete;
	end;
	if control = "MI-S6-2209-2" and testerid = "MI670" then do;
		if sequence = "1" then delete;
	end;
	if control = "MI-S6-3110-2" and testerid = "MI639" then do;
		if sequence = "1" then delete;
	end;
end;
else if sitecode = "OK" then do;
	if control = "OK-S1-3101-2" then delte;
	else if control = "OK-S3-1102-2" and testerid = "OK479" then do;
		if sequence = "2" then delete;
	end;
	else if control = "OK-S3-2504-2" and testerid = "OK479" then do;
		if sequence = "2" then delete;
	end;
end;
else if sitecode = "PH" then do;
	if control = "PH-S1-3008-2" then delete;
end;
else if sitecode = "SF" then do;
	if control = "SF-S1-0909-2" and testerid = "SF498" then do;
		if sequence = "2" then delete;
	end;
end;
else if sitecode = "SJ" then do;
	if control = "SJ-S2-1711-2" and testerid = "SJ290" then do;
		if sequence = "2" then delete;
	end;
end;

 run;

 data hds2000.rental ;
  set hds2000.rental ;

	****Recommend deleting duplicate or incorrect entries****;

	if control="AH-R3-0401-2" and raceid = 14 then delete;
	*Note: Two Rental triad tests are missing a complete entry for the third tester;
	if control="BA-R5-1603-2" and raceid = 22 then delete;
	if control="BA-R5-1807-2" and raceid = 32 then delete;

 run;


